Skip to content

Create message

POST
/messages
curl --request POST \
--url https://api.muninx.com/messages \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "ticket-id": "example", "body": "example", "type": "external", "new-status": "new", "skip-ticket-update": true, "skip-notifications": true }'

Adds a message to a ticket. The message can optionally set a new ticket status, skip the follow-up ticket update, or skip notification emails.

Media type application/json
object
ticket-id
required

Ticket identifier to add the message to.

string
body
required

Message body. Must contain at least one non-whitespace character.

string
>= 1 characters
type
required

Message visibility type.

string
Allowed values: external internal
new-status

Optional status to apply to the ticket after creating the message.

string
Allowed values: new open pending on-hold solved closed
skip-ticket-update

If true, message creation will not update the associated ticket.

boolean
skip-notifications

If true, message creation will not send notification emails to ticket participants.

boolean

Created message reference

Media type application/json
object
id
required

Created message identifier.

string
Example generated
{
"id": "example"
}

Invalid request.

Media type application/json

Error envelope emitted by the shared Gin error middleware.

object
code
string
message
string
error
string
key
additional properties
any
Example generated
{
"code": "example",
"message": "example",
"error": "example"
}

Missing, invalid, or expired bearer token.

Media type application/json

Error envelope emitted by the shared Gin error middleware.

object
code
string
message
string
error
string
key
additional properties
any
Example generated
{
"code": "example",
"message": "example",
"error": "example"
}

Authenticated user is not allowed to perform the requested action.

Media type application/json

Error envelope emitted by the shared Gin error middleware.

object
code
string
message
string
error
string
key
additional properties
any
Example generated
{
"code": "example",
"message": "example",
"error": "example"
}

The requested resource does not exist or is not accessible.

Media type application/json

Error envelope emitted by the shared Gin error middleware.

object
code
string
message
string
error
string
key
additional properties
any
Example generated
{
"code": "example",
"message": "example",
"error": "example"
}

Unexpected server error.

Media type application/json

Error envelope emitted by the shared Gin error middleware.

object
code
string
message
string
error
string
key
additional properties
any
Example generated
{
"code": "example",
"message": "example",
"error": "example"
}